--- old/usr/src/uts/intel/rwn/Makefile	Fri Jul  7 20:18:15 2017
+++ new/usr/src/uts/intel/rwn/Makefile	Fri Jul  7 20:18:15 2017
@@ -19,6 +19,7 @@
 # CDDL HEADER END
 #
 #
+# Copyright 2017 Gary Mills
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
@@ -68,6 +69,15 @@
 CERRWARN	+= -_gcc=-Wno-parentheses
 CERRWARN	+= -_gcc=-Wno-unused-value
 
+# Prevent the error with gcc-4.9.4: iteration 35u invokes undefined behavior
+GCC_VERS:sh = ${GCC_ROOT}/bin/gcc --version | \
+    head -1 | \
+    sed -e 's/([^(]*)//g' -e 's/^.* //'
+ADD.$(GCC_VERS) = -_gcc=-fno-aggressive-loop-optimizations
+ADD.4.4.4 =
+ADD.3.4.3 =
+$(OBJS_DIR)/rt2860.o := CFLAGS += $(ADD.$(GCC_VERS))
+
 #
 #	Default build targets.
 #
